<?php

/**
 * Chinese (as used in Taiwan) language for the "monobook" DokuWiki template
 *
 * If your language is not/only partially translated or you found an error/typo,
 * have a look at the following files:
 * - /lib/tpl/monobook/lang/<your lang>/lang.php
 * - /lib/tpl/monobook/lang/<your lang>/settings.php
 * If they are not existing, copy and translate the English ones.
 *
 * Don't forget to mail your translation to ARSAVA <dokuwiki@dev.arsava.com>.
 * Thanks! :-D
 *
 *
 * LICENSE: This file is open source software (OSS) and may be copied under
 *          certain conditions. See COPYING file for details or try to contact
 *          the author(s) of this file in doubt.
 *
 * @license GPLv2 (http://www.gnu.org/licenses/gpl2.html)
 * @author 呂理群
 * @link https://www.dokuwiki.org/template:monobook
 * @link https://www.dokuwiki.org/config:lang
 * @link https://www.dokuwiki.org/devel:configuration
 */


//check if we are running within the DokuWiki environment
if (!defined("DOKU_INC")){
    die();
}

//tabs
$lang["monobook_tab_article"] = "文章";
$lang["monobook_tab_discussion"] = "討論";
$lang["monobook_tab_userpage"] = "使用者頁面";
$lang["monobook_tab_specialpage"] = "特定頁面";
$lang["monobook_tab_mytalk"] = "我的對話頁";
$lang["monobook_tab_exportodt"] = "匯出成: ODT檔";
$lang["monobook_tab_exportpdf"] = "匯出成: PDF檔";

//headlines for the different bars
$lang["monobook_bar_views"] = "檢視";
$lang["monobook_bar_personnaltools"] = "個人工具";
$lang["monobook_bar_navigation"] = "導覽";
$lang["monobook_bar_toolbox"] = "工具箱";
$lang["monobook_qrcodebox"] = "QR Code";
$lang["monobook_bar_inotherlanguages"] = "其他語言";
$lang["monobook_bar_search"] = "搜尋";

//buttons
$lang["monobook_btn_go"] = "轉到指定頁";
$lang["monobook_btn_search"] = "搜尋";

//default toolbox
$lang["monobook_toolbxdef_whatlinkshere"] = "相關連接";
$lang["monobook_toolbxdef_upload"] = "上傳檔案";
$lang["monobook_toolbxdef_siteindex"] = "網站地圖";
$lang["monobook_toolbxdef_print"] = "預覽列印";
$lang["monobook_toolboxdef_permanent"] = "永久鏈接";
$lang["monobook_toolboxdef_cite"] = "引用這篇文章";

//qr code box
$lang["monobook_qrcodebox_qrcode"] = "QR Code";
$lang["monobook_qrcodebox_genforcurrentpage"] = "對當前頁面產生";
$lang["monobook_qrcodebox_urlofcurrentpage"] = "當前頁的 QR Code (行動裝置易存取)";

//cite this article
$lang["monobook_cite_bibdetailsfor"] = "詳細書目";
$lang["monobook_cite_pagename"] = "頁面名稱";
$lang["monobook_cite_author"] = "作者";
$lang["monobook_cite_publisher"] = "發佈者";
$lang["monobook_cite_dateofrev"] = "本次修訂的日期";
$lang["monobook_cite_dateretrieved"] = "日期檢索";
$lang["monobook_cite_permurl"] = "永久網址";
$lang["monobook_cite_pageversionid"] = "頁面版本 ID";
$lang["monobook_cite_citationstyles"] = "引用樣式";
$lang["monobook_cite_checkstandards"] = "請記得確切的語法的風格，以檢查您的手冊、指南或其他的指導方針，以滿足您的需求";
$lang["monobook_cite_latexusepackagehint"] = "When using the LaTeX package url (\usepackage{url} somewhere in the preamble), which tends to give much more nicely formatted web addresses, the following may be preferred";
$lang["monobook_cite_retrieved"] = "檢索";
$lang["monobook_cite_from"] = "from";
$lang["monobook_cite_in"] = "In";
$lang["monobook_cite_accessed"] = "存取";
$lang["monobook_cite_cited"] = "Cited";
$lang["monobook_cite_lastvisited"] = "最後一次拜訪";
$lang["monobook_cite_availableat"] = "Available at";
$lang["monobook_cite_discussionpages"] = "DokuWiki talk pages";
$lang["monobook_cite_markup"] = "標記";
$lang["monobook_cite_result"] = "結果";
$lang["monobook_cite_thisversion"] = "這個版本";

//other
$lang["monobook_accessdenied"] = "拒絕存取";
$lang["monobook_fillplaceholder"] = "請填寫或不啟用";
$lang["monobook_donate"] = "捐助";
$lang["monobook_mdtemplatefordw"] = "monobook template for DokuWiki";
$lang["monobook_recentchanges"] = "最新更新";

